*,
*::after,
*::before {
  margin: 0;
  padding: 0;
  border: none;
  outline: none;
  box-sizing: border-box;
  /*
Les premières lignes sont des styles globaux pour tous les éléments qui reset les marges, les bordures, les contours et le redimensionnement de la boîte.*/
}

.container {
  display: flex;
  align-items: center;
  height: 100vh;
  width: 100vw;
  overflow: hidden;
  /*
Le style .container définit le conteneur principal en tant qu'élément de mise en page de flexion, aligné horizontalement et verticalement au centre, avec une hauteur et une largeur de 100% de la fenêtre et une propriété overflow cachée.*/
}

.scroll-parent {
  position: relative;
  width: 100vw;
  height: 20rem;
  padding: 2rem 0;
  overflow-x: hidden;
  /*
Le style .scroll-parent définit l'élément parent avec une position relative, une largeur et une hauteur de 20 rem et une marge interne de 2 rem en haut et en bas, avec une propriété overflow-x cachée.*/
}

.scroll-element {
  width: inherit;
  height: inherit;
  position: absolute;
  left: 0%;
  top: 0%;
  display: flex;
  align-items: center;
  justify-content: space-around;
  /*
Le style .scroll-element définit les éléments enfants avec une largeur héritée, une hauteur héritée, une position absolue, une alignement horizontal et vertical centré, et une justification centrée autour de l'espace.*/
}

.scroll-element img {
  width: 15%;
  /*
Le style .scroll-element img définit les images à l'intérieur des éléments enfants avec une largeur de 15%.*/
}

.primary {
  animation: primary 20s linear infinite;
}

.secondary {
  animation: secondary 20s linear infinite;
}
/*
Les styles .primary et .secondary définissent les animations pour les éléments enfants respectifs.*/

@keyframes primary {
  from {
    left: -100%;
  }
  to {
    left: 0%;
  }
}

@keyframes secondary {
  from {
    left: 0%;
  }
  to {
    left: 100%;
  }
  /*Les animations font défiler les éléments enfants de gauche à droite ou de droite à gauche respectivement, de manière infinie en 20 secondes.*/
}
